| # Gaudi Framework, version v20r4
Generated: 8 Jan 2009

# Rndm::Binomial Class Reference

`#include <RndmGenerators.h>`

Inheritance diagram for Rndm::Binomial:

[legend]
Collaboration diagram for Rndm::Binomial:

[legend]

List of all members.

## Detailed Description

Parameters for the Binomial distributed random number generation.

The returned values are in fact integers

Definition at line 239 of file RndmGenerators.h.

## Public Member Functions
| Binomial (long n, double p)
| Standard Constructor.
virtual | ~Binomial ()
| Standard Destructor.
long | nEvent () const
| Access number of events.
double | probability () const
| Access number of events.
virtual IRndmGen::Param * | clone () const
| Clone parameters.
## Static Public Member Functions
static const InterfaceID & | typeID ()
| Identifier for factory.
## Protected Attributes
long | m_nEvent
| Number of events the binomial destribution corresponds to.
double | m_probability
| And the probability for having success.

## Constructor & Destructor Documentation

Rndm::Binomial::Binomial | ( | long | n,
|  | double | p |
| ) |  |  | `[inline]`

Standard Constructor.

Definition at line 247 of file RndmGenerators.h.

    00248     : IRndmGen::Param(IID_IRndmBinomial), m_nEvent(n), m_probability(p) { }

virtual Rndm::Binomial::~Binomial | ( |  | ) | `[inline, virtual]`

Standard Destructor.

Definition at line 250 of file RndmGenerators.h.

    00250 {  }

## Member Function Documentation

long Rndm::Binomial::nEvent | ( |  | ) | const`[inline]`

Access number of events.

Definition at line 252 of file RndmGenerators.h.

    00252 { return m_nEvent;              }

double Rndm::Binomial::probability | ( |  | ) | const`[inline]`

Access number of events.

Definition at line 254 of file RndmGenerators.h.

    00254 { return m_probability;         }

static const InterfaceID& Rndm::Binomial::typeID | ( |  | ) | `[inline, static]`

Identifier for factory.

Definition at line 256 of file RndmGenerators.h.

    00256 { return IID_IRndmBinomial;     }

virtual IRndmGen::Param* Rndm::Binomial::clone | ( | void |  | ) | const`[inline, virtual]`

Clone parameters.

Implements IRndmGen::Param.

Definition at line 258 of file RndmGenerators.h.

    00258                                             {
    00259       return new Binomial(m_nEvent, m_probability);
    00260     }

## Member Data Documentation

long Rndm::Binomial::m_nEvent`[protected]`

Number of events the binomial destribution corresponds to.

Definition at line 242 of file RndmGenerators.h.

double Rndm::Binomial::m_probability`[protected]`

And the probability for having success.

Definition at line 244 of file RndmGenerators.h.

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r4/GaudiKernel/GaudiKernel/RndmGenerators.h